import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.ITrendLine;

public class AdditionalTrendLine extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			AdditionalTrendLine chart = new AdditionalTrendLine();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doAddtionalTrendLineChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doAddtionalTrendLineChart(this));
	}

	Component doAddtionalTrendLineChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"AdditionalTrendLine.cht"); // template

		ITrendLine normalCurve = (ITrendLine) chart.gethDataLines().elements().nextElement();
		System.out.println("Mean = " + normalCurve.getMean());
		System.out.println("St. Dev = " + normalCurve.getStandardDev());
		System.out.println("Min = " + normalCurve.getMin());
		System.out.println("Max = " + normalCurve.getMax());
		System.out.println("Dev of 1.0, Prob = " + normalCurve.getProbability(1.0));
		System.out.println("Back Calculated Dev = "
				+ normalCurve.getInverseNorm(normalCurve.getProbability(1.0)));

		// Show chart in Viewer
		return chart;

	}

}
